package sedplugin.errors.unit;

import sedplugin.errors.SEDException;

public class ConversionException extends SEDException {

	private static final long serialVersionUID = 1L;

	protected double value = Double.NaN;
	
	protected String sourceUnit = null;
	
	protected String destinationUnit = null;
	
	protected String detailedMessage = null;
	
	public ConversionException(double value, String fromUnit, String toUnit, String errorOrigin) {
		super("Conversion impossible", errorOrigin, "Impossible to convert "+value+fromUnit+" into "+toUnit+" !");
		this.value = value;
		sourceUnit = fromUnit;
		destinationUnit = toUnit;
	}
	
	public ConversionException(double value, String fromUnit, String toUnit, String errorOrigin, String details) {
		super("Conversion impossible", errorOrigin, "Impossible to convert "+value+fromUnit+" into "+toUnit+" because: "+details+" !");
		this.value = value;
		sourceUnit = fromUnit;
		destinationUnit = toUnit;
		detailedMessage = details;
	}
	
	public ConversionException(String msg, String errorOrigin){
		super("Conversion impossible", errorOrigin, msg);
	}

	/**
	 * @return The value.
	 */
	public double getValue() {
		return value;
	}

	/**
	 * @return The sourceUnit.
	 */
	public String getSourceUnit() {
		return sourceUnit;
	}

	/**
	 * @return The destinationUnit.
	 */
	public String getDestinationUnit() {
		return destinationUnit;
	}

	/**
	 * @return The detailedMessage.
	 */
	public String getDetailedMessage() {
		return detailedMessage;
	}

	
	
}
