package sedplugin.graphe;

import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.geom.Line2D;
import java.awt.geom.Rectangle2D;

import sedplugin.sed.SEDPoint;

/**
 * @see Point
 * @author Gr&eacute;gory Mantelet
 * @version 04/2012
 */
public class CrossPoint extends Point {

	/* ************ */
	/* CONSTRUCTORS */
	/* ************ */
	/**
	 * @see Point#Point(SpectrumPoint, AGraphFrame, Serie)
	 */
	public CrossPoint(SEDPoint sp, AGraphFrame rep, Serie s) {
		super(sp, rep, s);
	}

	/**
	 * @see Point#Point(double, double, Serie)
	 */
	public CrossPoint(double x, double y, Serie s) {
		super(x,y,s);
	}

	@Override
	public int getPointStyle(){
		return Point.CROSS_POINT;
	}

	/* ***************** */
	/* INHERITED METHODS */
	/* ***************** */
	@Override
	protected void drawPoint(Graphics2D g2){
		g2.setStroke(new BasicStroke(1, BasicStroke.CAP_SQUARE, BasicStroke.JOIN_MITER));

		g2.draw(new Line2D.Double(xCoord, yCoord-side/2, xCoord, yCoord+side/2));
		g2.draw(new Line2D.Double(xCoord-side/2, yCoord, xCoord+side/2, yCoord));

		pointArea = new Rectangle2D.Double(xCoord-side, yCoord-side, side*2, side*2);
	}

	@Override
	public void drawSelection(Graphics2D g2){
		Color tmp = g2.getColor();
		g2.setColor(Color.RED);
		g2.setStroke(new BasicStroke(1, BasicStroke.CAP_SQUARE, BasicStroke.JOIN_BEVEL));
		g2.draw(new Rectangle2D.Double(xCoord-side/2, yCoord-side/2, side, side));
		g2.setStroke(new BasicStroke(2, BasicStroke.CAP_ROUND, BasicStroke.JOIN_ROUND));
		g2.setColor(tmp);
	}

}
