package sedplugin.interfaceGraphique;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.WindowConstants;

import sedplugin.plugin.SEDPlugin;

public class AboutDialog extends JDialog {

	private static final long serialVersionUID = 1L;

	public final String aboutMsg;

	protected final JLabel lblAbout;

	public AboutDialog(JFrame parent){
		super(parent);
		aboutMsg = getAboutMsg();

		lblAbout = new JLabel(aboutMsg);
		lblAbout.setForeground(new Color(0,128,0));
		lblAbout.setFont(lblAbout.getFont().deriveFont(14));

		//setContentPane(new BetaPanel());

		getContentPane().setLayout(new BorderLayout());
		getContentPane().add(lblAbout, BorderLayout.CENTER);

		setTitle("About SEDPlugin");
		setDefaultCloseOperation(WindowConstants.HIDE_ON_CLOSE);
		pack();
		setSize(new Dimension(500,500));
		setResizable(false);
		setModal(true);
		setLocationRelativeTo(parent);
		setVisible(false);
	}

	public final String getAboutMsg(){
		String msg = "<html><h1 align=\"center\"><img src=\""+getClass().getResource(SEDPlugin.ICONS_DIR+"sed.gif")+"\"></img> SEDPlugin <sub style=\"font-size: 12\"><i>"+SEDPlugin.VERSION+"</i></sub></h1><hr></hr><br></br><b><p style=\"font-size: 14; color: navy; text-indent: 20px; text-align: justify;\">SEDPlugin is an Aladin plugin which allows to generate SEDs (Spectral Energy Distribution) in an interactive manner from images loaded in Aladin.</p></b>"+
		"<br></br><p style=\"color: navy; text-indent: 20px; text-align: justify;\"><u>Functionalities:</u><ul color=\"navy\"><li>Generate a spectrum by clicking or drawing a region in Aladin</li><li>Update built spectra if the associated images or drawings are modified</li><li>Export figure</li><li>Save spectra in several formats (ASCII, XML, VOTable)</li><li>Send a spectrum to a SAMP compatible application (e.g. VOSpec, Splat-VO, Topcat, ...)</li>" +
		"<li>Perform operations between spectra</li><li>Manage images metadata thanks to the Characterization Data Model</li></ul></p>"+
		"<br></br><i><p color=\"navy\" align=\"center\">SEDPlugin is developed by Gr&eacute;gory Mantelet (CDS) <br></br> &copy UDS/CNRS 2010 <br></br><img src=\""+getClass().getResource(SEDPlugin.ICONS_DIR+"aida.png")+"\"></img><img src=\""+getClass().getResource(SEDPlugin.ICONS_DIR+"cds.gif")+"\"></img></p></i></html>";
		return msg;
	}

	public final static void main(String[] args){
		AboutDialog about = new AboutDialog(null);
		about.setVisible(true);
		about.dispose();
	}

	/*public static class BetaPanel extends JPanel {
		private static final long serialVersionUID = 1L;

		private static Image background = null;

		@Override
		protected void paintComponent(Graphics g) {
			g.setColor(getBackground());
			g.fillRect(0, 0, getWidth(), getHeight());
			if (background == null){
				URL iconTitle = getClass().getResource(SEDPlugin.ICONS_DIR + "betaTest.png");
				if (iconTitle != null)
					background = new ImageIcon(iconTitle).getImage();
			}
			if (background != null)
				g.drawImage(background, 0, 0, null);
		}
	}*/
}
