package sedplugin.interfaceGraphique;


import java.util.HashMap;
import java.util.Vector;

import javax.swing.AbstractListModel;

import sedplugin.graphe.Graph;
import sedplugin.graphe.Serie;
import sedplugin.sed.SED;

public class SEDListModel extends AbstractListModel {
	private static final long serialVersionUID = 1L;

	private final Graph graph;

	private final HashMap<SED, Serie> seds = new HashMap<SED, Serie>();
	private final Vector<Serie> series = new Vector<Serie>();

	public SEDListModel(final Graph graph){
		this.graph = graph;
	}

	public Serie addSED(final SED sed){
		if (sed == null || seds.containsKey(sed))
			return null;

		Serie newSerie = new Serie(sed, graph);
		seds.put(sed, newSerie);
		series.add(newSerie);

		fireIntervalAdded(newSerie, series.size()-1, series.size()-1);

		return newSerie;
	}

	public Serie getSerie(SED sed) {
		return seds.get(sed);
	}

	public int removeSED(final SED sed){
		if (sed == null || !seds.containsKey(sed))
			return -1;

		Serie s = seds.remove(sed);
		int index = series.indexOf(s);
		removeSerie(index);

		return index;
	}

	public void removeSerie(final int index){
		if (index >= 0 && index < series.size()){
			Serie s = series.remove(index);
			graph.removeSerie(s);
			fireIntervalRemoved(s, index, index);
		}
	}

	public int indexOf(Serie s) {
		return series.indexOf(s);
	}

	public Object getElementAt(int index) {
		return series.get(index);
	}

	public int getSize() {
		return series.size();
	}

}
