package sedplugin.sed.source;

import sedplugin.sed.SED;

/**
 * Let's listening a SED source.
 * 
 * @author Gr&eacute;gory Mantelet (CDS)
 * @version 04/2012
 */
public interface SEDSourceListener {

	/**
	 * Notifies when a SED is created/added in the source.
	 * 
	 * @param newSed	The added SED.
	 * @param src		The listened SED source.
	 */
	public void sedAdded(final SED newSed, final SEDSource src);

	/**
	 * Notifies when a SED is removed from the source.
	 * 
	 * @param removedSed	The removed SED.
	 * @param src			The listened SED source.
	 */
	public void sedRemoved(final SED removedSed, final SEDSource src);

}
